Sea Side Aquatics Collapsible RF-300C Acclimation Box

See price on Amazon

Sea Side Aquatics new collapsible acclimation/utility box comes in 4 different size RFC-100 (sm), RFC-200 (med), RFC-300 (lg), RFC-400 (xlg). Each unit divider can be removed (only on…

SKU: B01CQ2EPPK Categories: , ,

Description

Sea Side Aquatics new collapsible acclimation/utility box comes in 4 different size RFC-100 (sm), RFC-200 (med), RFC-300 (lg), RFC-400 (xlg). Each unit divider can be removed (only on med-xlg boxes) to create one large unit. Adjustable hanging bracket can support 3/4″ glass/acrylic panel and is compatible with rimless and euro braced tank. Acclimation/utility box can be fully collapsible to space saving size for easy storage. Acclimation/Utility boxes can be used to: – acclimate new fish into yo